Social Fetch
LinkedIn

Search LinkedIn posts

Search public LinkedIn posts by keyword.

An empty posts array means no matching public posts were returned for this query and page. It is not an error.

GET/v1/linkedin/posts/search
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
3
query*stringquery

Keyword or phrase to search for in public LinkedIn posts.

min 1 chars · max 512 chars

datePostedstringoptionalquery

Optional filter for how recently matching posts were published.

one of: last-hour, last-day, last-week, last-month, last-year

cursorstringoptionalquery

Opaque pagination cursor returned by a previous response.

min 1 chars

Response fields
25

Endpoint-specific response payload.

dataquery
string

Search query that was evaluated for this response.

Matching LinkedIn posts for the current page.

dataposts[]url
string

Canonical public URL for this LinkedIn post.

min 1 chars

dataposts[]text
stringnullable

Full text body of the post when available.

dataposts[]publishedAt
stringnullable

ISO-8601 timestamp for when the post was published, when available.

dataposts[]mediaUrl
stringnullable

Primary media URL for the post when available.

dataposts[]imageUrl
stringnullable

Primary image URL for the post when available.

Image URLs associated with the post when available.

dataposts[]imageUrls[]
stringoptional

min 1 chars

Author of the post when available.

dataposts[]authorname
string

Display name of the author.

min 1 chars

dataposts[]authorprofileUrl
stringnullable

Public profile URL for the author when available.

dataposts[]authoravatarUrl
stringnullable

Avatar image URL when available.

dataposts[]authorfollowers
integernullable

Follower count when available.

≥ 0

Engagement metrics for the post.

dataposts[]metricsreactions
integernullable

Total reactions when available.

≥ 0

dataposts[]metricscomments
integernullable

Comment count when available.

≥ 0

Pagination state for the current response.

datapagenextCursor
stringnullable

Cursor to pass in the next request when more posts are available.

datapagehasMore
boolean

Whether another page of posts is available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/linkedin/posts/search?query=ai agents" \
  -H "x-api-key: YOUR_API_KEY"

Responses

LinkedIn post search results.